import { NgModule, ModuleWithProviders } from '@angular/core';
import { CommonModule } from '@angular/common';

import { FlexLayoutModule } from '@angular/flex-layout';

import { MatRippleModule, MatCheckboxModule } from '@angular/material';
import { MatButtonModule } from '@angular/material/button';
import { MatIconModule } from '@angular/material/icon';

import { UCapUiModule } from '@ucap-webmessenger/ui';

import { ListItemComponent } from './components/list-item.component';
import { UserListItemComponent } from './components/user-list-item.component';

const COMPONENTS = [ListItemComponent, UserListItemComponent];

const SERVICES = [];

@NgModule({
  imports: [
    CommonModule,
    FlexLayoutModule,
    MatButtonModule,
    MatIconModule,
    MatRippleModule,
    MatCheckboxModule,

    UCapUiModule
  ],
  exports: [...COMPONENTS],
  declarations: [...COMPONENTS]
})
export class UCapUiProfileModule {
  public static forRoot(): ModuleWithProviders<UCapUiProfileModule> {
    return {
      ngModule: UCapUiProfileModule,
      providers: [...SERVICES]
    };
  }
}
